import { camelize } from 'camelize-object-key';
import { Meta, Canvas, Story, ArgsTable } from '@storybook/addon-docs/blocks';
import BlockStatisticsV3 from './block-statistics-v3';
import store from '@/.storybook/store';
import { addControls, initJsonKnobs } from '@/.storybook/helpers';

export const argTypes = {
	sliceLabel: {
		control: {
			type: 'select',
			options: ['', 'global'],
		},
	},
};

export const controls = {
	color: [],
	number: [],
	json: ['items'],
};

<Meta title="Statistics V3" component={BlockStatisticsV3} argTypes={addControls(argTypes, controls)} />

# Statistics V3

This module is used on various pages, such as the homepage and /technology.

It is an interactive component used to provide detailed statistics with graphs, copy, and footnotes. It becomes a slider on mobile.

export const Template = (args, { argTypes }) => {
	initJsonKnobs(args, argTypes, controls.json);
	return {
		props: Object.keys(argTypes),
		components: { BlockStatisticsV3 },
		template: '<block-statistics-v3 v-bind="$props" />',
		store,
	};
};

export const items = [
	{
		image_mobile: {
			url:
				'https://images.prismic.io/molekule/a993a579-4db8-48b0-97ab-7572fd4489a9_Air+Pro+-+MS2+M%403x.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 972,
			height: 1590,
		},
		image_desktop: {
			url:
				'https://images.prismic.io/molekule/1ef730cd-254f-433c-9bcc-bb3dfb68ee12_Air+Pro+-+MS2%403x.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 3837,
			height: 1590,
		},
		nav_title: 'Air Pro vs. RNA virus',
		heading: 'RNA virus MS2: 99.99% removed in 30 min',
		content:
			'<p>Air Pro can help remove airborne viruses like MS2 bacteriophage, a proxy virus for SARS-CoV-2, which travel in tiny droplets that can linger for hours before settling on surfaces.</p>',
		testing_details:
			'<p>Test location &amp; standard</p><p>Tested at Aerosol Research and Engineering Laboratories in a 16 m³ chamber on MS2 Bacteriophage aerosolized droplets.</p>',
		footnote:
			'<p><em>*Pollutants were not re-released into the chamber after initial introduction. Device operated on the highest setting. Just note that no air purifier can prevent you from getting a virus.</em></p>',
	},
	{
		image_mobile: {
			url:
				'https://images.prismic.io/molekule/208f7e3d-fcfb-468f-bbc2-e4122b719d3c_Air+Pro+-+folmaldehyde+M%403x.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 972,
			height: 1590,
		},
		image_desktop: {
			url:
				'https://images.prismic.io/molekule/e689999e-7334-4590-8c50-d9a59c7bc5b5_Air+Pro+-+folmaldehyde%403x.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 3837,
			height: 1590,
		},
		nav_title: 'Air Pro vs. furniture off-gas',
		heading: 'Formaldehyde: 80% removed in 8 hrs',
		content:
			'<p>Air Pro destroys toxic volatile organic compounds like formaldehyde — a stable substance that is hard to remove from indoor air. It can enter your space as part of industrially manufactured products like furniture, flooring, or clothes, and is a significant portion of cigarette smoke.</p>',
		testing_details:
			'<p>Test location &amp; standard</p><p>Tested per GB/T 18801-2015 Protocol in a 30 m³ chamber at Intertek-Grand Rapids.</p>',
		footnote:
			'<p><em>*Pollutants were not re-released into the chamber after initial introduction. Device operated on the highest setting.</em></p>',
	},
	{
		image_mobile: {
			url:
				'https://images.prismic.io/molekule/5d832299-1a72-4d50-878c-c4443f8fe134_Air+-+Smoke+.3-1+Microns+M%403x.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 972,
			height: 1620,
		},
		image_desktop: {
			url:
				'https://images.prismic.io/molekule/af3236c6-749c-4307-aa5a-eb68630bcdb9_Air+-+Smoke+.3-1+Microns%403x.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 3837,
			height: 1620,
		},
		nav_title: 'Air vs. smoke (0.3-1 microns)',
		heading: 'Smoke: 85% removed in 22 min',
		content:
			'<p>Molekule Air’s filters help remove particles of this size range from the air quickly, which includes the invisible components of smoke. These types of particles can be inhaled into the lungs and potentially damage internal organs.</p>',
		testing_details:
			'<p>Test location &amp; standard</p><p>Tested per AHAM AC-1 Protocol in a 27 m³ chamber at Intertek-Cortland.</p>',
		footnote:
			'<p><em>*Pollutants were not re-released into the chamber after initial introduction. Device operated on highest setting.</em></p>',
	},
	{
		image_mobile: {
			url:
				'https://images.prismic.io/molekule/81824be9-070f-4a9a-a8f9-fa6a5f7d08a4_Air+-+D-limonene+M%403x.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 972,
			height: 1590,
		},
		image_desktop: {
			url:
				'https://images.prismic.io/molekule/a8b05626-06a3-45b9-96e3-27aadc0a09aa_Air+-+D-limonene%403x.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 3837,
			height: 1593,
		},
		nav_title: 'Air vs. citrus fragrance',
		heading: 'D-Limonene: over 99% removed in 3 hrs',
		content:
			'<p>Unpleasant natural and artificial smells in the air can be caused by chemicals such as limonene. Lemon-scented cleaning products commonly contain limonene. Molekule Air can destroy VOCs like D-limonene.</p>',
		testing_details:
			'<p>Test location &amp; standard</p><p>Tested per GB/T 18801-2015 Protocol in a 30 m³ chamber at Intertek-Grand Rapids.</p>',
		footnote:
			'<p><em>*Pollutants were not re-released into the chamber after initial introduction. Device operated on highest setting.</em></p>',
	},
	{
		image_mobile: {
			url:
				'https://images.prismic.io/molekule/c54197f1-2048-4872-982c-1585af0dab78_Air+Mini+-+%CE%A6X174+Bacteriophage+M%403x.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 972,
			height: 1590,
		},
		image_desktop: {
			url:
				'https://images.prismic.io/molekule/790e707e-d6b3-4adb-900b-4d1a081b59cf_Air+Mini+-+%CE%A6X174+Bacteriophage%403x.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 3837,
			height: 1590,
		},
		nav_title: 'Air Mini vs. DNA virus',
		heading: 'DNA virus PhiX174: 98.7% removed in 2 hrs',
		content:
			'<p>Molekule Air Mini can help remove viruses which otherwise could linger for hours in the air, then PECO technology destroys them. The PECO-Filter was also cut, sampled, and incubated to measure viable virus count. Zero viable virus was detected.  </p>',
		testing_details:
			'<p>Testing location &amp; standard</p><p>Tested at Intertek-Columbus in a 30 m³ chamber on ΦX174 Bacteriophage aerosolized droplets.</p>',
		footnote:
			'<p><em>*Pollutants were not re-released into the chamber after initial introduction. Device operated on the highest setting. Just note that no air purifier can prevent you from getting a virus.</em></p>',
	},
	{
		image_mobile: {
			url:
				'https://images.prismic.io/molekule/455718d3-c1b4-40e4-af15-b4bfe1f26592_Air+-+F+Dust+1+-3+Microns+M%403x.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 972,
			height: 1590,
		},
		image_desktop: {
			url:
				'https://images.prismic.io/molekule/1da68af5-ce10-49fa-a3f5-ea9abb2195ad_Air+-+F+Dust+1+-3+Microns%403x.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 3837,
			height: 1590,
		},
		nav_title: 'Air vs. dust (1-3 microns)',
		heading: 'Dust: 84% removed in 20 min',
		content:
			'<p>Floating dust can harbor dust mite fragments and other dirt, which are a common cause of allergic reactions. Where Molekule Air is running, there are fewer dust particles.</p>',
		testing_details:
			'<p>Test location &amp; standard</p><p>Tested per AHAM AC-1 Protocol in a 27 m³ chamber at Intertek-Cortland.</p><p></p>',
		footnote:
			'<p><em>*Pollutants were not re-released into the chamber after initial introduction. Device operated on highest setting.</em></p>',
	},
	{
		image_mobile: {
			url:
				'https://images.prismic.io/molekule/5d688773-17d3-4328-a190-ebba64736fc9_Air+-+G+Pollen+3+-+10+microns+M%403x.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 972,
			height: 1590,
		},
		image_desktop: {
			url:
				'https://images.prismic.io/molekule/5990ef28-674d-418e-b588-ba64d8dc68ee_Air+-+G+Pollen+3+-+10+microns%403x.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 3837,
			height: 1590,
		},
		nav_title: 'Air vs. pollen (3-10 microns)',
		heading: 'Pollen: 79% removed in 10 min',
		content:
			'<p>Pollen, pet dander, and other particles fall within this size range and can be allergens. Molekule Air helps capture them, removing them from the air.</p>',
		testing_details:
			'<p>Test location &amp; standard</p><p>Tested per AHAM AC-1 Protocol in a 27 m³ chamber at Intertek-Cortland.</p><p></p>',
		footnote:
			'<p><em>*Pollutants were not re-released into the chamber after initial introduction. Device operated on highest setting.</em></p>',
	},
	{
		image_mobile: {
			url:
				'https://images.prismic.io/molekule/5d832299-1a72-4d50-878c-c4443f8fe134_Air+-+Smoke+.3-1+Microns+M%403x.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 972,
			height: 1620,
		},
		image_desktop: {
			url:
				'https://images.prismic.io/molekule/2fd00be9-786f-4ea0-a031-036cc50d71a7_Air+Mini+-+Smoke+.3-1+Microns%403x.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 3837,
			height: 1590,
		},
		nav_title: 'Air Mini vs. smoke (0.3-1 microns)',
		heading: 'Smoke: 84% removed in 22 min',
		content:
			'<p>Molekule Air Mini’s filters can strip particles of this size range out of the air quickly, which include the invisible components of smoke. They can be easily inhaled into the lungs and transferred to the blood, where they can be distributed throughout the body and damage internal organs.</p>',
		testing_details:
			'<p>Test location &amp; standard</p><p>Tested per AHAM AC-1 Protocol in a 27 m³ chamber at Intertek-Cortland.</p>',
		footnote:
			'<p><em>*Pollutants were not re-released into the chamber after initial introduction. Device operated on highest setting.</em></p>',
	},
	{
		image_mobile: {
			url:
				'https://images.prismic.io/molekule/239e7bba-b831-4f3a-a9cf-7b1a776614c7_Air+Mini+-+folmaldehyde+M%403x.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 972,
			height: 1590,
		},
		image_desktop: {
			url:
				'https://images.prismic.io/molekule/bbe37ce2-5e9a-4b64-88bd-1ca8bfd1b1f9_Air+Mini+-+folmaldehyde%403x.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 3837,
			height: 1590,
		},
		nav_title: 'Air Mini vs. furniture off-gas',
		heading: 'Formaldehyde: 59% removed in 8 hrs',
		content:
			'<p>Molekule Air Mini destroys toxic volatile organic compounds like formaldehyde, which is a stable substance that is difficult to remove from indoor air. It can enter your home as part of industrially manufactured products like furniture, flooring, or clothes and is a significant portion of cigarette smoke.</p>',
		testing_details:
			'<p>Test location &amp; standard</p><p>Tested per GB/T 18801-2015 Protocol in a 30 m³ chamber at Intertek-Grand Rapids.</p>',
		footnote:
			'<p><em>*Pollutants were not re-released into the chamber after initial introduction. Device operated on highest setting.</em></p>',
	},
	{
		image_mobile: {
			url:
				'https://images.prismic.io/molekule/149eb450-3a60-4630-a9fb-652a9f8f24ac_Air+Mini+-+Toluene+M%403x.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 972,
			height: 1590,
		},
		image_desktop: {
			url:
				'https://images.prismic.io/molekule/f46bbc01-6cb3-49e7-974d-a4344ad3486d_Air+Mini+-+Toluene%403x.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 3837,
			height: 1590,
		},
		nav_title: 'Air Mini vs. paint fumes',
		heading: 'Toluene: 98% removed in 3 hrs',
		content:
			'<p>Solvents in paint such as toluene can linger in your home for extended amounts of time, but Molekule Air Mini can destroy them so they aren’t inhaled.</p>',
		testing_details:
			'<p>Test location &amp; standard</p><p>Tested per GB/T 18801-2015 Protocol in a 30 m³ chamber at Intertek-Grand Rapids.</p>',
		footnote:
			'<p><em>*Pollutants were not re-released into the chamber after initial introduction. Device operated on highest setting.</em></p>',
	},
];

<Canvas withSource="none">
	<Story
		name="default"
		args={{
			autoadvance: true,
			autoadvanceIntervalDelay: 5000,
			id: null,
			items: camelize(items),
			moduleTitle: 'Title',
			sliceLabel: '',
		}}
	>
		{Template.bind({})}
	</Story>
</Canvas>

## Vue Component Props

<ArgsTable of={BlockStatisticsV3} />
